# -*- coding: utf-8 -*-
# Elisa - Home multimedia server
# Copyright (C) 2006-2008 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Elisa with Fluendo's plugins.
#
# The GPL part of Elisa is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Elisa" in the root directory of this distribution package
# for details on that license.

__maintainer__ = 'Philippe Normand <philippe@fluendo.com>'

from elisa.core.components.message import Message

class ElisaUpdateMessage(Message):
    """
    Message sent by the updater service when it finds new versions of
    the installed plugins.
    
    @ivar upgradeable_plugins: list of plugins that can be upgraded
                               from the repository
    @type upgradeable_plugins: dict list
    """
    
    def __init__(self, upgradeable_plugins):
        Message.__init__(self)
        self.upgradeable_plugins = upgradeable_plugins
